Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.behavior
Class ComponentControlBehavior

    java.lang.Object
      javax.faces.component.behavior.BehaviorBase
          javax.faces.component.behavior.ClientBehaviorBase
              org.richfaces.component.behavior.ClientBehavior
                  org.richfaces.component.behavior.ComponentControlBehavior

All Implemented Interfaces:
  javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder

    public class ComponentControlBehavior

extends ClientBehavior

The <rich:componentControl> behavior allows JavaScript API functions to be called on target components. The functions are called after defined events are triggered on the component to with the <rich:componentControl> behavior is attached. Initialization variants and activation events can be customized, and parameters can be passed to the target component.

Author:
  Anton Belevich

Field Summary
`static String` | `BEHAVIOR_ID`

Constructor Summary
`ComponentControlBehavior()`

Method Summary
`List<javax.faces.component.UIComponent>` | `getChildren()`
`String` | `getEvent()` Name of JavaScript event property (click, change, etc.) of parent component that triggers the behavior.
`String` | `getOnbeforeoperation()` Javascript invoked just before the operation will be invoked on target component.
`String` | `getOperation()` The function of JavaScript API that will be invoked on the target components (selected with target or selector attributes).
`String` | `getRendererType()`
`String` | `getSelector()` jQuery selector (CSS selector with jQuery extensions) which finds target component which will be the operation fired on.
`String` | `getTarget()` Comma-separated list of component IDs of components which will be the operation fired on.
`void` | `setEvent(String event)`
`void` | `setLiteralAttribute(String name, Object value)`
`void` | `setOnbeforeoperation(String onbeforeoperation)`
`void` | `setOperation(String operation)`
`void` | `setSelector(String selector)`
`void` | `setTarget(String target)`

Methods inherited from class org.richfaces.component.behavior.ClientBehavior
`compare, getFacesContext, getStateHelper, getValueExpression, restoreState, saveState, setLiteralValue, setValueExpression`

Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase
`decode, getHints, getRenderer, getScript`

Methods inherited from class javax.faces.component.behavior.BehaviorBase
`addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.Behavior
`broadcast`

Field Detail

### BEHAVIOR_ID

    public static final String BEHAVIOR_ID

See Also:
  Constant Field Values

Constructor Detail

### ComponentControlBehavior

    public ComponentControlBehavior()

Method Detail

### getChildren

    public List<javax.faces.component.UIComponent> getChildren()

### getEvent

    public String getEvent()

  Name of JavaScript event property (click, change, etc.) of parent component that triggers the behavior. If the event attribute is not defined, the behavior is triggered on the event that normally provides interaction behavior for the parent component

### setEvent

    public void setEvent(String event)

### getTarget

    public String getTarget()

  Comma-separated list of component IDs of components which will be the operation fired on. (Alternatively you can use selector attribute).

### setTarget

    public void setTarget(String target)

### getSelector

    public String getSelector()

  jQuery selector (CSS selector with jQuery extensions) which finds target component which will be the operation fired on.

### setSelector

    public void setSelector(String selector)

### getOperation

    public String getOperation()

  The function of JavaScript API that will be invoked on the target components (selected with target or selector attributes).

### setOperation

    public void setOperation(String operation)

### getOnbeforeoperation

    public String getOnbeforeoperation()

  Javascript invoked just before the operation will be invoked on target component.

### setOnbeforeoperation

    public void setOnbeforeoperation(String onbeforeoperation)

### getRendererType

    public String getRendererType()

  Overrides:
    `getRendererType` in class `javax.faces.component.behavior.ClientBehaviorBase`

### setLiteralAttribute

    public void setLiteralAttribute(String name,
                                    Object value)

  Specified by:
    `setLiteralAttribute` in class `ClientBehavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.